Debian Bug report logs - #637424
Implement amd64_set_gsbase and i386_set_fsbase

version graph

Package: kfreebsd-kernel-headers; Maintainer for kfreebsd-kernel-headers is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-kernel-headers is src:kfreebsd-kernel-headers.

Reported by: Robert Millan <rmh@debian.org>

Date: Thu, 11 Aug 2011 10:52:02 UTC

Severity: wishlist

Tags: patch

Fixed in version kfreebsd-kernel-headers/0.57

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#637424; Package libc0.1. (Thu, 11 Aug 2011 10:52:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 11 Aug 2011 10:52:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Implement i386_get_gsbase i386_get_fsbase i386_set_gsbase i386_set_fsbase amd64_get_gsbase amd64_get_fsbase amd64_set_gsbase amd64_set_fsbase
Date: Thu, 11 Aug 2011 10:02:18 +0000
[Message part 1 (text/plain, inline)]
Package: libc0.1
Version: 2.13-15
Severity: wishlist
Tags: patch

This patch implements the following syscall stubs:

i386_get_gsbase
i386_get_fsbase
i386_set_gsbase
i386_set_fsbase
amd64_get_gsbase
amd64_get_fsbase
amd64_set_gsbase
amd64_set_fsbase

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=ca_AD.utf8, LC_CTYPE=ca_AD.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libc0.1 depends on:
ii  libc-bin                      2.13-15    Embedded GNU C Library: Binaries
ii  libgcc1                       1:4.6.1-4  GCC support library

libc0.1 recommends no packages.

Versions of packages libc0.1 suggests:
ii  debconf [debconf-2.0]         1.5.41     Debian configuration management sy
pn  glibc-doc                     <none>     (no description available)
ii  locales                       2.13-14    Embedded GNU C Library: National L

-- debconf information excluded
[regbase.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#637424; Package libc0.1. (Thu, 11 Aug 2011 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 11 Aug 2011 11:51:09 GMT) Full text and rfc822 format available.

Message #10 received at 637424@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 637424@bugs.debian.org
Subject: Re: Bug#637424: Implement i386_get_gsbase i386_get_fsbase i386_set_gsbase i386_set_fsbase amd64_get_gsbase amd64_get_fsbase amd64_set_gsbase amd64_set_fsbase
Date: Thu, 11 Aug 2011 13:46:18 +0200
2011/8/11 Robert Millan <rmh@debian.org>:
> Package: libc0.1
> Version: 2.13-15
> Severity: wishlist
> Tags: patch
>
> This patch implements the following syscall stubs:
>
> i386_get_gsbase
> i386_get_fsbase
> i386_set_gsbase
> i386_set_fsbase
> amd64_get_gsbase
> amd64_get_fsbase
> amd64_set_gsbase
> amd64_set_fsbase

On second thought, these calls may interact badly with TLS if
application code uses them.  Maybe it's better not to export them.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#637424; Package libc0.1. (Thu, 11 Aug 2011 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 11 Aug 2011 13:27:06 GMT) Full text and rfc822 format available.

Message #15 received at 637424@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Robert Millan <rmh@debian.org>, 637424@bugs.debian.org
Subject: Re: Bug#637424: Implement i386_get_gsbase i386_get_fsbase i386_set_gsbase i386_set_fsbase amd64_get_gsbase amd64_get_fsbase amd64_set_gsbase amd64_set_fsbase
Date: Thu, 11 Aug 2011 15:23:28 +0200
On Thu, Aug 11, 2011 at 10:02:18AM +0000, Robert Millan wrote:
> Package: libc0.1
> Version: 2.13-15
> Severity: wishlist
> Tags: patch
> 
> This patch implements the following syscall stubs:
> 
> i386_get_gsbase
> i386_get_fsbase
> i386_set_gsbase
> i386_set_fsbase
> amd64_get_gsbase
> amd64_get_fsbase
> amd64_set_gsbase
> amd64_set_fsbase

In any case, they will have to wait for 2.14. Anyway, what are the uses
cases for these? They only looks like wrappers (which means they don't
necessarily need to be in glibc) to already existing functions, and they
are not present in upstream glibc. I am not sure we really want these
functions.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#637424; Package libc0.1. (Thu, 11 Aug 2011 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 11 Aug 2011 19:51:03 GMT) Full text and rfc822 format available.

Message #20 received at 637424@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 637424@bugs.debian.org
Subject: Re: Bug#637424: Implement i386_get_gsbase i386_get_fsbase i386_set_gsbase i386_set_fsbase amd64_get_gsbase amd64_get_fsbase amd64_set_gsbase amd64_set_fsbase
Date: Thu, 11 Aug 2011 21:48:48 +0200
2011/8/11 Aurelien Jarno <aurelien@aurel32.net>:
> In any case, they will have to wait for 2.14. Anyway, what are the uses
> cases for these?

wine needs amd64_set_gsbase and i386_set_fsbase.

amd64_set_fsbase and i386_set_gsbase are not used by any program that
I know of.  Also, they should be considered carefully: since our TLS
implementation relies on them, programs shouldn't mess with these
functions AFAICT.

The getters are neither needed by wine nor dangerous.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#637424; Package libc0.1. (Fri, 12 Aug 2011 11:12:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 12 Aug 2011 11:12:24 GMT) Full text and rfc822 format available.

Message #25 received at 637424@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Robert Millan <rmh@debian.org>, 637424@bugs.debian.org
Subject: Re: Bug#637424: Implement i386_get_gsbase i386_get_fsbase i386_set_gsbase i386_set_fsbase amd64_get_gsbase amd64_get_fsbase amd64_set_gsbase amd64_set_fsbase
Date: Fri, 12 Aug 2011 13:10:58 +0200
On Thu, Aug 11, 2011 at 09:48:48PM +0200, Robert Millan wrote:
> 2011/8/11 Aurelien Jarno <aurelien@aurel32.net>:
> > In any case, they will have to wait for 2.14. Anyway, what are the uses
> > cases for these?
> 
> wine needs amd64_set_gsbase and i386_set_fsbase.
> 
> amd64_set_fsbase and i386_set_gsbase are not used by any program that
> I know of.  Also, they should be considered carefully: since our TLS
> implementation relies on them, programs shouldn't mess with these
> functions AFAICT.
> 
> The getters are neither needed by wine nor dangerous.
> 

So what do we do at the end? Couldn't wine simply use the sysarch()
function?

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#637424; Package libc0.1. (Fri, 12 Aug 2011 11:57:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 12 Aug 2011 11:57:21 GMT) Full text and rfc822 format available.

Message #30 received at 637424@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 637424@bugs.debian.org
Subject: Re: Bug#637424: Implement i386_get_gsbase i386_get_fsbase i386_set_gsbase i386_set_fsbase amd64_get_gsbase amd64_get_fsbase amd64_set_gsbase amd64_set_fsbase
Date: Fri, 12 Aug 2011 13:12:50 +0200
2011/8/12 Aurelien Jarno <aurelien@aurel32.net>:
>> wine needs amd64_set_gsbase and i386_set_fsbase.
>
> So what do we do at the end? Couldn't wine simply use the sysarch()
> function?

I can't answer that, we'd have to ask wine developers.

-- 
Robert Millan




Changed Bug title to 'Implement amd64_set_gsbase and i386_set_fsbase' from 'Implement i386_get_gsbase i386_get_fsbase i386_set_gsbase i386_set_fsbase amd64_get_gsbase amd64_get_fsbase amd64_set_gsbase amd64_set_fsbase' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 16 Aug 2011 16:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#637424; Package libc0.1. (Tue, 16 Aug 2011 16:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 16 Aug 2011 16:39:07 GMT) Full text and rfc822 format available.

Message #37 received at 637424@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 637424@bugs.debian.org
Subject: Re: Bug#637424: Implement i386_get_gsbase i386_get_fsbase i386_set_gsbase i386_set_fsbase amd64_get_gsbase amd64_get_fsbase amd64_set_gsbase amd64_set_fsbase
Date: Tue, 16 Aug 2011 18:36:08 +0200
[Message part 1 (text/plain, inline)]
2011/8/11 Robert Millan <rmh@debian.org>:
> 2011/8/11 Aurelien Jarno <aurelien@aurel32.net>:
>> In any case, they will have to wait for 2.14. Anyway, what are the uses
>> cases for these?
>
> wine needs amd64_set_gsbase and i386_set_fsbase.

Here's a new patch which only implements the syscall stubs needed by
wine (amd64_set_gsbase and i386_set_fsbase).

This patch also corrects a critical mistake: in setters, the pointers
are passed by reference just like with getters (this confusion led me
to report non-bug #637528, more details there).

-- 
Robert Millan
[regbase.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#637424; Package libc0.1. (Tue, 16 Aug 2011 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 16 Aug 2011 18:03:05 GMT) Full text and rfc822 format available.

Message #42 received at 637424@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Robert Millan <rmh@debian.org>, 637424@bugs.debian.org
Subject: Re: Bug#637424: Implement i386_get_gsbase i386_get_fsbase i386_set_gsbase i386_set_fsbase amd64_get_gsbase amd64_get_fsbase amd64_set_gsbase amd64_set_fsbase
Date: Tue, 16 Aug 2011 20:01:28 +0200
On Tue, Aug 16, 2011 at 06:36:08PM +0200, Robert Millan wrote:
> 2011/8/11 Robert Millan <rmh@debian.org>:
> > 2011/8/11 Aurelien Jarno <aurelien@aurel32.net>:
> >> In any case, they will have to wait for 2.14. Anyway, what are the uses
> >> cases for these?
> >
> > wine needs amd64_set_gsbase and i386_set_fsbase.
> 
> Here's a new patch which only implements the syscall stubs needed by
> wine (amd64_set_gsbase and i386_set_fsbase).
> 
> This patch also corrects a critical mistake: in setters, the pointers
> are passed by reference just like with getters (this confusion led me
> to report non-bug #637528, more details there).
> 

This new patch still doesn't answer my question: why wine can't use
the sysarch interface for that?

I am really worried by so much requests of adding BSD specific
functions. If we want all the FreeBSD libc functions, why don't we use the
FreeBSD libc instead of the GNU libc?

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#637424; Package libc0.1. (Tue, 16 Aug 2011 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 16 Aug 2011 20:27:03 GMT) Full text and rfc822 format available.

Message #47 received at 637424@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 637424@bugs.debian.org
Subject: Re: Bug#637424: Implement i386_get_gsbase i386_get_fsbase i386_set_gsbase i386_set_fsbase amd64_get_gsbase amd64_get_fsbase amd64_set_gsbase amd64_set_fsbase
Date: Tue, 16 Aug 2011 22:24:19 +0200
2011/8/16 Aurelien Jarno <aurelien@aurel32.net>:
> This new patch still doesn't answer my question: why wine can't use
> the sysarch interface for that?

http://tinyurl.com/439zd4a

> I am really worried by so much requests of adding BSD specific
> functions.

How many Linux-specific syscall stubs are provided currently?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#637424; Package libc0.1. (Wed, 17 Aug 2011 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Wed, 17 Aug 2011 07:57:04 GMT) Full text and rfc822 format available.

Message #52 received at 637424@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Robert Millan <rmh@debian.org>
Cc: 637424@bugs.debian.org
Subject: Implement amd64_set_gsbase and i386_set_fsbase
Date: Wed, 17 Aug 2011 10:03:52 +0200 (CEST)
Hi,

I do not like the idea of adding
amd64_set_gsbase and i386_set_fsbase into our shared libc.

The only user so far is wine,
it already have OS specific setting of fs/gs.

#if defined __linux__
    arch_prctl( ARCH_SET_GS, teb );
#elif defined (__FreeBSD__) || defined (__FreeBSD_kernel__)
    amd64_set_gsbase( teb );
#else
# error Please define setting %gs for your architecture
#endif


The best way should be to alter wine to use sysarch directly,
just "sysarch (AMD64_SET_GSBASE, &teb)"
instead of "amd64_set_gsbase( teb )"

The second option is to insert into
<machine/sysarch.h> "always inline" functions.

Petr








Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#637424; Package libc0.1. (Wed, 17 Aug 2011 09:24:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Wed, 17 Aug 2011 09:24:37 GMT) Full text and rfc822 format available.

Message #57 received at 637424@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 637424@bugs.debian.org
Subject: Re: Implement amd64_set_gsbase and i386_set_fsbase
Date: Wed, 17 Aug 2011 11:20:32 +0200
2011/8/17 Petr Salinger <Petr.Salinger@seznam.cz>:
> The best way should be to alter wine to use sysarch directly,
> just "sysarch (AMD64_SET_GSBASE, &teb)"
> instead of "amd64_set_gsbase( teb )"

This seems gratuitous.  I don't care myself, but I expect wine developers will.

I won't be defending a gratuitous position to wine developers.  I can
only defend things I believe in.

> The second option is to insert into
> <machine/sysarch.h> "always inline" functions.

I don't see a problem with using inline functions.  Shall we do this?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#637424; Package libc0.1. (Wed, 17 Aug 2011 10:25:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Wed, 17 Aug 2011 10:25:52 GMT) Full text and rfc822 format available.

Message #62 received at 637424@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 637424@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Implement amd64_set_gsbase and i386_set_fsbase
Date: Wed, 17 Aug 2011 12:33:30 +0200 (CEST)
reassign 637424 kfreebsd-kernel-headers
--

>> The second option is to insert into
>> <machine/sysarch.h> "always inline" functions.

> I don't see a problem with using inline functions. Shall we do this?

Yes, it is easier and can be stopped any time.

Petr




Bug reassigned from package 'libc0.1' to 'kfreebsd-kernel-headers'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Wed, 17 Aug 2011 10:26:10 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions eglibc/2.13-15. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Wed, 17 Aug 2011 10:26:11 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Wed, 17 Aug 2011 12:37:26 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Wed, 17 Aug 2011 12:37:49 GMT) Full text and rfc822 format available.

Message #71 received at 637424-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 637424-close@bugs.debian.org
Subject: Bug#637424: fixed in kfreebsd-kernel-headers 0.57
Date: Wed, 17 Aug 2011 12:32:42 +0000
Source: kfreebsd-kernel-headers
Source-Version: 0.57

We believe that the bug you reported is fixed in the latest version of
kfreebsd-kernel-headers, which is due to be installed in the Debian FTP archive:

kfreebsd-kernel-headers_0.57.dsc
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.57.dsc
kfreebsd-kernel-headers_0.57.tar.gz
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.57.tar.gz
kfreebsd-kernel-headers_0.57_kfreebsd-amd64.deb
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.57_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 637424@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-kernel-headers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 17 Aug 2011 11:44:04 +0000
Source: kfreebsd-kernel-headers
Binary: kfreebsd-kernel-headers
Architecture: source kfreebsd-amd64
Version: 0.57
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-kernel-headers - kernel of FreeBSD headers for development
Closes: 637378 637424
Changes: 
 kfreebsd-kernel-headers (0.57) unstable; urgency=low
 .
   * Renable 039_mips_misc.diff.
   * 005_register_t.diff: #include <sys/types.h> in headers that use
     register_t.  (Closes: #637378)
   * 042_sysarch_stubs.diff: Work around missing syscall stubs in libc by
     declaring them as inline functions.  (Closes: #637424)
Checksums-Sha1: 
 28760f14e91bef2b477d9385e8d157cdd5f33686 1141 kfreebsd-kernel-headers_0.57.dsc
 5c06b08ce6244eb41f896bac93fd27d9c69e48aa 40240 kfreebsd-kernel-headers_0.57.tar.gz
 6ac9763a6fb7a5d3e9ccbb1bd4ad902769a2da2c 4101096 kfreebsd-kernel-headers_0.57_kfreebsd-amd64.deb
Checksums-Sha256: 
 cf82d9cf42e76d7f7343435cb339bce59447c09f798e3def9e8cfacb81c11d76 1141 kfreebsd-kernel-headers_0.57.dsc
 bf44f8011d82e9122138db0dd1a93f036584ca25bc41f43dd91a6bb8bda982a8 40240 kfreebsd-kernel-headers_0.57.tar.gz
 eb112d07c7cfe0f40ef61be5b526284a038853a76ec358a045d2f3cb1dfae3c4 4101096 kfreebsd-kernel-headers_0.57_kfreebsd-amd64.deb
Files: 
 ce663c56d03c7ba5af6f3fb66b99735e 1141 kernel standard kfreebsd-kernel-headers_0.57.dsc
 72683b6beff51b8b6097f372330856ba 40240 kernel standard kfreebsd-kernel-headers_0.57.tar.gz
 4cec9c619408455c597d7172200e7316 4101096 kernel standard kfreebsd-kernel-headers_0.57_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk5Lr5EACgkQC19io6rUCv8DGQCfeD8B1CrcvIbQDjo30LCeVzB/
i5YAn3YM9d9eANfJrr6U1Ufmdr625L+F
=bWCk
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Sep 2011 07:33:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:47:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.